Retrieves the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "83307d3e-6579-4661-bd4f-256a81bc4ef3",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "ef149336-2830-4d40-8db8-040e1f8632f8",
"_parent_code": "sample string 6",
"sales_organization_id": "4bca260c-9596-4fb9-b5ad-26f584aee0ca",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "2683164c-2b86-4f1d-ab04-9c6eb3d5b686",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "6166172a-15a9-443c-8255-64f7a3f112af",
"db_currency_id": "67296634-f43f-4197-9af6-7d4317991f72",
"db_language_id": "39b222e8-f689-4a30-b311-cabb2c2324c2",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-02-12T10:50:11.4610163+00:00"
},
"modified_dateutc": "2026-02-12T10:50:11.4610163+00:00"
}